import { apiResquest } from '../request/request.js'
import { apiResquestForm } from '../request/request.js'
import { apiResquestJsonList } from '../request/request.js'
import { apiResquestFormVideo } from '../request/request.js'
import { apiResquestTimer } from '../request/request.js'


//登录
export const login = (data) => {
	return apiResquest({
		url: `/auth/appletLogin`,
		method: 'POST',
		data: { ...data }
	})
};

//查询公共配置
export const configInfo = (data) => {
	return apiResquest({
		url: `/auth/configInfo`,
		method: 'GET',
		data: data,
	})
};

/*                分类获取公共配置
* category        1.系统参数 2.公共配置
* configType      1.基础配置 2.管控一体机 3.化学品终端 4.小程序配置 5.开发配置 6.首页配置
*/
export function getConfigByType(data) {
	return apiResquest({
		url: '/system/config/info/getConfigByType',
		method: 'post',
		data: {
			...data
		}
	})
}

//查询人员身份标识
export const getGentleIdentifier = (data) => {
	return apiResquest({
		url: `/security/checkSet/getGentle`,
		method: 'GET',
		data: data,
	})
};

//查询小程序布局配置
export const systemAppletLayoutSelect = (data) => {
	return apiResquest({
    url: '/system/applet/layout/select',
		method: 'GET',
		data: data,
	})
};
//查询权限字段
export const systemAppletRolePermission = (data) => {
	return apiResquest({
    url: '/system/applet/role/permission',
		method: 'GET',
		data: data,
	})
};





/************************未调试************************/



//获取离开检查配置
export const outSubjectPhoto  = (id,data) => {
    return apiResquestForm({
        url: `/base/app/lab/api/outSubjectPhoto`,
        method: 'GET',
        data: data,
    })
};

//分级管控未完成工作列表
export const gradingControl  = (data) => {
    return apiResquest({
        url: `/base/app/lab/manage/havingList`,
        method: 'POST',
        data: {...data}
    })
};